FreeMat

- Main Page
- Related Pages

vtkSplitColumnComponents

Section: Visualization Toolkit Infovis Classes

# Usage

Splits any columns in a table that have more than one component into individual columns. Single component columns are passed through without any data duplication. So if column names "Points" had three components this column would be split into "Points (0)", "Points (1)" and Points (2)".

To create an instance of class vtkSplitColumnComponents, simply invoke its constructor as follows

      obj = vtkSplitColumnComponents

# Methods

The class vtkSplitColumnComponents has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSplitColumnComponents class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSplitColumnComponents = obj.NewInstance ()`
- `vtkSplitColumnComponents = obj.SafeDownCast (vtkObject o)`
- `obj.SetCalculateMagnitudes (bool )` - If on this filter will calculate an additional magnitude column for all columns it splits with two or more components. Default is on.
- `bool = obj.GetCalculateMagnitudes ()` - If on this filter will calculate an additional magnitude column for all columns it splits with two or more components. Default is on.